# Theora

Theora is an older-generation patent and royalty-free codec comparable to MPEG4 / DivX / XviD. It is based on VP3, which has mostly been superceded by VP8 (used in WebM).

## Options

- Quality (0 - 63)
  Set a specific visual quality (recommended). Default is 48.

      quality=35

- Bitrate (number)
  Set a specific bitrate in kbps to control file size. Default is unset.

      bitrate=512000

- Speed level (0 - 3)
  Set the amount of motion vector searching (and the speed of encoding). Default is 1.

      speed-level=2

- Multi-pass mode
  Set the mode of operation for single or multiple passes.
  - single-pass: single pass encoding (default)
  - first-pass: first of two passes
  - second-pass: second of two passes

      multipass-mode=one-pass